@echo off
echo Battle of Algiers sound setup
echo --------------------
echo This procedure will setup the sound directory for this scenario.
echo Some files will be copied from the civ2 sound directory.
echo Some files will be duplicated from this scenario's sound directory.
pause

if not exist Infantry.wav goto :noinfantry
copy Infantry.wav cavalry.wav
copy Infantry.wav swordfgt.wav
copy Infantry.wav swrdhors.wav
goto :soundloc

:noinfantry
echo Infantry.wav not found
goto :soundloc

:soundloc
if not exist ..\..\..\sound\*.* goto :fourdeep
copy ..\..\..\sound\largexpl.wav Missile.wav

echo this procedure is done
pause
exit

:fourdeep
if not exist ..\..\..\..\sound\*.* goto :majorerror 
copy ..\..\..\..\sound\largexpl.wav missile.wav

echo this procedure is done
pause
exit

:majorerror
echo The CIV2\SOUND directory could not be found.
echo Please view the readme.txt file for troubleshooting information.
pause